%global modulename node-pre-gyp

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-node-pre-gyp
Version:        0.10.3
Release:        1%{?dist}
Summary:        Node.js native addon binary install tool

License:        BSD
URL:            https://github.com/mapbox/node-pre-gyp#readme
Source0:        https://registry.npmjs.org/node-pre-gyp/-/node-pre-gyp-0.10.3.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(detect-libc) >= 1.0.2 with npmlib(detect-libc) < 2.0.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.1 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(needle) >= 2.2.1 with npmlib(needle) < 3.0.0))
BuildRequires:  ((npmlib(nopt) >= 4.0.1 with npmlib(nopt) < 5.0.0))
BuildRequires:  ((npmlib(npm-packlist) >= 1.1.6 with npmlib(npm-packlist) < 2.0.0))
BuildRequires:  ((npmlib(npmlog) >= 4.0.2 with npmlib(npmlog) < 5.0.0))
BuildRequires:  ((npmlib(rc) >= 1.2.7 with npmlib(rc) < 2.0.0))
BuildRequires:  ((npmlib(rimraf) >= 2.6.1 with npmlib(rimraf) < 3.0.0))
BuildRequires:  ((npmlib(semver) >= 5.3.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(tar) >= 4.0.0 with npmlib(tar) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Node.js native addon binary install tool

%package 0.10.3
Summary:        Node.js native addon binary install tool


%description 0.10.3
Node.js native addon binary install tool

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr appveyor.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
chmod +x %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/bin/node-pre-gyp
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/node-pre-gyp %{buildroot}/%{_bindir}/node-pre-gyp


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%doc contributing.md
%license LICENSE
%{_bindir}/node-pre-gyp
%{nodejs_dir}/%{modulename}

%files 0.10.3
%doc CHANGELOG.md
%doc README.md
%doc contributing.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 0.10.3-1
- Package automatically generated by npm2srpm
